From: [email-masked] (Joe Morris)

Subject: Ye Olde Secrete Screene Cheete Sheete (long; 1500+ lines)

Message-ID: <jcmorris.725570016@mwunix>

Sender: [email-masked] (News Service)

Organization: The MITRE Corporation

Date: Mon, 28 Dec 1992 19:13:36 GMT

Lines: 1547

Copies to: alt.folklore.computers

           bit.listserv.win3-l

           comp.os.ms-windows.apps

           comp.os.ms-windows.misc

I don't monitor the Mac, Amiga, or many of the other groups which support

some of the non-PC products mentioned in this list.  Readers are welcome to

repost this document to those newsgroups (or anywhere else); if there's

enough interest I can add other groups to the distribution list.

Recipients are encouraged to redistribute this file to anyone who requests

a copy, including BBS and archive sites.  I cannot offer it by anonymous

ftp and my employer would prefer that I not be inundated with requests

to mail out copies.

Joe Morris / MITRE

=-=-=-=-=-=-=-=-=-=  begin included text  =-=-=-=-=-=-=-=-=-=

***** E A S T E R   E G G   H U N T   R E S U L T S *****

Collected from various sources; the names in each entry show where

I got the info, which may or may not be where the egg was first

discovered.  As usual, should you be killed or captured ... oops,

wrong tape.  No warranties, express or implied; your milage may

vary, and there may be weather tomorrow.  Contributions of additional

Easter Eggs gleefully accepted and will be posted on a totally random

basis; please send them to [email-masked]

If the submitter prefers to remain anonymous, contributions will be merged

without the associated name.  (Translation: vendor staff submissions are

solicited...)

Entries may be edited for clarity, consistency, and whatever I feel like

on any given morning.

This listing may be redistributed without limitation.  No copyright is

claimed on its contents, but suitable credit for both the individual

entries and the compilation would be appropriate.

Last update: 12/28/92

--------------------------------------------------

Recent additions:

Corel Draw! 3.0

Windows applications:

  PageMaker 4, Aldus Table Editor

OS/2:

  Followup comment on the developer's name list in OS/2

  Lockup option

acorn Archimedes:

  Info on the results of certain SYS calls in RISC-OS

  Additional Easter eggs in RISC-OS

Commodore PET:

  Poke to get many lines saying "MICROSOFT!"

None of the Above:

  MVP Rasterizer cards

  Maxis simulations (SimCity, SimAnt, SimEarth, A-Train)

---------------------------------------------------

Product: Windows 3.0

---------------------------------------------------

Source: unknown

Press and hold F3

Type the four characters WIN3

Release F3

Hit the backspace key

The display can be cleared by pressing the left mouse button.

---------------------------------------------------

Product: Windows 3.1

---------------------------------------------------

Source: Tom Tanida ([email-masked])

1. Hold down Cntl and Shift simultaneously (keep holding them down for all

     of the following steps).

2. Select Program Manager's Help menu option, and select "About Program

     Manager".

3. When the box pops up, double click inside one of the four panes in the

     Windows 3.1 logo.

4. Click OK.

5. Repeat steps 2-4 to see a flag waving.

6. Repeat steps 2-4 again to see the credits.  (Is that a picture

     of Bill Gates there? :-) )

   (Note: my tests indicate that if you try this a third time you'll

   get nothing; try it a fourth time and you're back at the waving

   flag.  jcm)

The display terminates immediately when the OK button is pressed (step 4).

Some followup to the Windows 3.1 egg, from contributions by:

   Mark Scase ([email-masked])

   Jill Patterson ([email-masked])

   JT Anderson ([email-masked])

   Andrew Turner ([email-masked])

You don't have to be in Program Manager to do this.  It seems to

work in any "About" box of an application provided with Windows

3.1 (eg file manager, write, paintbrush, clock etc).

The character appearing in the graphic with the name scroll changes each

time you see it; there are four distinct figures:

a bald man  (Steve Ballmer)

a man with a beard and dark hair (Brad Silverberg),

a man with glasses and fair hair (Bill Gates), and

a Teddy bear...apparently the logo of bugs@microsoft

The Bear is a Microsoft euphemism for someone who comes along and bonks

programmers for introducing bugs into test code(as in Smokey the Bear, who

crushes your butts). The concept of the Bear is so much a part of debugging

at Microsoft that certain, undcoumented functions used for testing Windows

components such as USER.EXE are named things like Bear351."

---------------------------------------------------

Product: Excel 3.0 for the PC

---------------------------------------------------

Source: Aaron Wallace ([email-masked]) who credits Computer

        Currents for the info

Formula Goto the *last* cell: IV16384

Scroll until this is the only cell visible, in the upper left corner of the

    screen.

Set its row height and column width to 0

Double click on the little button in the upper left corner.

---------------------------------------------------

Product: Excel 4.0 for the PC

---------------------------------------------------

Source: Phil Wherry ([email-masked])

Go to the tool bar and right click.

Choose customize

Now choose custom in the dialog

Drag the solitaire icon off to the excel desktop somewhere

close the dialog box

Now, with the control and shift down click the solitaire icon

Keep the keys down to see names...

---------------------------------------------------

Product: Excel 3.0 for the Mac

---------------------------------------------------

Source: Arthur Evans ([email-masked])

Under Excel 3.0: Open a new worksheet and select a cell.  Using STYLE in

the FORMAT menu, give it style EXCEL.  Open the About... menu from the

Apple menu click in the Excel symbol.  Keep waiting -- there are two

screens.

--------------------------------------------------

Product: Word for Windows, v1.1

--------------------------------------------------

Source: Todd Lutz ([email-masked])

Here is a hidden feature of Word for Windows:

  1. Turn CAPS LOCK on.

  2. Choose Format, Define Styles, Options.

  3. In the Based On field, select Normal.

  4. You will get an error message, select OK.

  5. Select Cancel.

  6. Select Help, About.

  7. Make sure your mouse cursor is inside the help box, then press the

     following four keys all at the same time: OPUS

You should get some fireworks with the authors names scrolling on the

screen.

--------------------------------------------------

Product: Word for Windows, v2.0

--------------------------------------------------

Source: [email-masked] (nancy b.)

    To see some cute animation, a not-so-subtle jab at WordPerfect,

    and a list of those responsible for "wizardry", "quality",

    etc...  on the Word for Windows 2.0 project:

    1) Start WfW 2.0.

    2) In the Tools menu, click on Macro.

    3) For the Macro Name, type   spiff  [stop the macro recorder -- jcm]

    4) Click on Edit.

    5) Delete the lines    Sub MAIN   and  End Sub

    6) In the File menu, choose Close.

    7) You will be asked if you want to save the changes.

       Click on Yes.

    8) In the Help menu, click on About.

    9) Click on the Word icon in the upper left, and enjoy ;-).

    If you have high resolution drivers, you might not see that awful

    green WordPerfect monster or the little people jumping up and

    down in glee after they make it go away.  If all you see is the

    fireworks with the credits rolling in the foreground, then this

    is the case.  Change to a lower resolution (800x600 or 640x480)

    driver to see the first part also.

---------------------------------------------------

Product: Other Windows applications on a PC

---------------------------------------------------

--------------------

Application: PageMaker 4 for Windows

--------------------

Source: Peter Reece ([email-masked])

There is an egg in Pagemaker 4 as follows:

   1. Depress and continue to hold shift-control

   2. Open 'Help', 'About PM4'

	A list of PageMaker authors and contributors will appear

There is also an Egg in Aldus's Table Editor as follows:

   1. Depress and continue to hold shift-control

   2. Open 'Help", 'About TableEdit"

	A list of TableEditor authors and contributors will appear

--------------------

Application: Solitaire game distributed with Windows

--------------------

Source: Joe Robison ([email-masked])

 From: [email-masked] (Hank Pfeil-Alumnus)

>

>Here's a neat trick you can play on your computer:  Start "Solitaire"

>...  Now, if the card game only had a cheat mode....

There is.  If you're playing "Draw Three" you can hold down

Ctrl+Alt+Shift and click on the deck to draw single cards

(just don't hit the Del key!)

--------------------

Application: Norton Desktop for Windows 2.0

--------------------

Source: Rich Santalesa and David Harvey's column in 6/92 _Computer_Shopper_

With NDW 2.0 in the foreground, hold down the N, D, and W keys, then click

HELP -> ABOUT, then double-click on the Symantec icon in the upper left

corner.  The response is a group of photos of the NDW development team,

plus a scrolling title bar with quotes from Shakespeare.

In a followup, Brian Downing ([email-masked]) says:

Just choose HELP|ABOUT and then double click on the icon to make

symantec disappear, then press the N,D,&W keys.

In another followup, Mark Scase ([email-masked]) adds:

Whilst in the desktop, click on help about.  Press N, D and W at the

same time and double click on the icon in the about box.

A window pops up containing 15 black and white pictures of people with

the status bar entitles NDW Development Team.  This title scrolls to

the left and is replaced with the following (it takes a time for it all

to scroll past):

VIPER TEAM: Yet another great truth I record in my verse, that some

vipers are venomous, some the reverse (Hilaire Belloc)

ENRIQUE & PETER: A foolish consistency is the hobgoblin of little minds

(Emerson)

MARK: An invasion of armies can be resisted, but not an idea whose

time has come (Victor Hugo)

MICHAEL: You may say I'm a dreamer, but I'm not the only one (John Lennon)

DOUG: As you already knew, this is the wave of the future! (NDW)

MANSHAN: Very ingenious/important product enhancement realized! (Anonymous)

SUE: I want you all to stonewall it (Richard Nixon)

RENEE: What you achieve depends on what you settle for (Anonymous)

BILL: Fame, fame, fatal fame, it can play hideous tricks on the brain, but

still I'd rather be famous than righteous or holy any day, any day, any

day (Morrissey)

Congratulations Bruce & Vickie!!!! (The Gang)

--------------------

Application: Procomm Plus for Windows

--------------------

Source: Joseph Malloy ([email-masked])

1) From the Window menu, select Monitor

2) Keep the focus on the monitor (i.e., make sure monitor is active, not

the Procomm Plus terminal window)

3) type GO DATASTORM! (case doesn't appear to matter, but the

exclamation mark is necessary; you'll probably hear beeps as the system

tells you this is an error)

4) Choose Help/About/Credits: instead of the usual list of names, you

should see a nice color picture of, I assume, the primary developers.

--------------------

Application: AMI Pro

--------------------

Source: AVINOAM SHMUELI ([email-masked]), quoting from

        8/92 issue of _PC_ Magazine

Go to the About box under the Help menu and hold down the Shift, Ctrl, and

Alt keys, Press F7, then type the letters S,P,A,M followed by the last number

in the Available Memory display and the third from the last number in

that display. [in my case, 9202k, it was "2" and "2".] Then release the

Shift, Ctrl, and Alt keys.

Tiny photo images of the Ami Pro developers appear.

--------------------

Application: Minesweeper game

--------------------

Source: Jay Rosenbaum ([email-masked])

Just start Minesweeper normally.  When it has loaded, type

"xyzzy <ENTER> <SHIFT-ENTER>".  The upper left hand pixel on your

screen will light up whenever your mouse is over a safe square.

--------------------

Application: Corel Draw! V3.0

--------------------

Source: jdmathew ([email-masked])

    Hold down CTRL-SHIFT and select "help" and then "about", while still

holding down CTRL-SHIFT, double click on the balloon on the left side of the

help box.  The box expands, and the text dissapears, and the balloon moves

to the bottom of the box.  Hold down the right mouse button to light the

burner on the balloon.  If you hold the mouse button down, you'll see the

balloon move up, pulling a text banner listing authors and beta testers.

[My tests show that the *left* button lights the burner.  Also, if you

release the burner button (whichever one it is) the balloon will slow

its ascent and begin to sink...just like a real balloon.   jcm]

---------------------------------------------------

Product: OS/2

---------------------------------------------------

Source: Janos Haide ([email-masked]),

        also Panagiotis Skagos ([email-masked])

Make the desktop active (i.e., click on the desktop).

Press alt-shift-ctrl-o simultaneously.  You get a beach scene with

a pink flamingo (and other nifty things) plus a list of the program

authors.

Press any other key returns you to your regularly scheduled Workplace Shell.

A followup posting from Mike Levis ([email-masked]) says:

According to the FAQL, you also need to have the optional bitmaps

installed as well.  I think selecting the optional bitmaps unpacks

two files called "AAAAA.EXE" and "AAAAA.MET" to the \OS2\BITMAP dir.

Source:   Cjin Lee ([email-masked], [email-masked])

Click on the desktop with right mouse button. Select

Setting->Lockup. Go to Page 2/3 for Lockup settings. Select (none)

for the bmp to display for lockup. Now get out of the settings mode

and try lockup.

When "none" means something......

---------------------------------------------------

Product: Macintosh hardware and OS

---------------------------------------------------

Source: Louis Koziarz ([email-masked])

Product: Mac SE

Get into the debugger

Set PC to 41D789A  (i.e., >G 41D89A at the prompt)

---------------------------------------------------

Source: Luke Mewburn ([email-masked])

Product: Macintosh II models (exact types uncertain); Mac SE/30 (hardware)

Set the system clock to the American release of the machine [what are

        the valid values?  jcm]

Reboot, holding down command-option-model name characters (e.g., on

        an FX you hold down cmnd-opt-f-x)

---------------------------------------------------

Source: Louis Koziarz ([email-masked])

      (and many, many others)

Product: Mac SE, Mac II ci

On a Macintosh SE, hit the programmer's switch, then type G 41D89A

On a Macintosh IIci, first set the date to 09/20/89, then restart

the machine and hold down Command+Opt+c+i during the reboot.

And if you're lucky enough to have an original copy of MultiFinder,

the About box has a simple tremendous list of credits.  But all

is not lost in the newer versions.  Leave the `About MultiFinder'

box open for about an hour.  It will turn into the message [rot13]

    V jnag zl, V jnag zl, V jnag zl ybbx naq srry.

---------------------------------------------

Source: Arthur Evans ([email-masked])

Product: System 7

Under System 7 with the Finder running, select "About Finder" on the

Apple menu with the OPTION key to see a list of all developers.  Be

patient, it takes a while.  Using OPTION-COMMAND does that and also

turns the cursor into a smiley.

---------------------------------------------------

Product: WORD 4 for the Mac

---------------------------------------------------

Source: Louis Koziarz ([email-masked])

Call up the "About Word..." dialog box

Press and hold the command key

Click on the flying W logo

--------------------------------------------------

Product: Commodore PET

--------------------------------------------------

Source: Jan Schiefer ([email-masked])

On the Commodore PET 2001, a "POKE 6502,n" where 0 <= n <= 255 resulted in

the machine printing the string MICROSOFT! on the screen n times.

--------------------------------------------------

Product: Commodore 128

--------------------------------------------------

Source: Norman St. John Polevaulter ([email-masked])

And of course, going WAY back, there is the credits and anti-war message

you could coax out of a Commodore 128 by typing:

SYS 32800,123,45,6

in BASIC.

---------------------------------------------------

Product: Commodore Business Machines 1581 Disk Drive

---------------------------------------------------

Source: Eric Pass ([email-masked])

   error = $ff3f

   org $3000

   lda #$79

   jmp error

 which gives you an author's credit.  Substitute #$7a for #$79 to get a

 dedication to one of the authors' wives.

The two messages are listed in the 1581 dos reference

guide as:

 $79: Software by David Siracusa. Hardware by Greg Berlin

 $7a: Dedicated to my wife Lisa

Here is a BASIC program written by Russell Prater to illustrate the

messages.

10 open15,9,15:n$="m-w":m$=n$

20 fori=1to8:reada:n$=n$+chr$(a):next

30 fori=1to8:reada:m$=m$+chr$(a):next

40 print#15,n$:print#15,"m-e"chr$(0)chr$(3)

50 fori=0to1:get#15,a$:i=st:printa$;:next

60 print#15,m$:print#15,"m-e"chr$(0)chr$(3)

70 fori=0to1:get#15,a$:i=st:printa$;:next

80 data 0,3,5,169,121,76,63,255

90 data 0,3,5,169,122,76,63,255

Information derived from messages on the C_B_M Echo

by Russell Prater and David Schmoll

---------------------------------------------------

Product: Amiga hardware and software

---------------------------------------------------

Source: Raymond Chen ([email-masked])

On the Amiga (NB), perss and hold the following keys:

  LeftShift, LeftAlt, RightShift, RightAlt

Now press one of the 10 function keys.  (Keep those four keys down!)

Each function key produces a different message.

To get the rude message, insert a disk into the internal drive.

(Still holding down all those keys?)  Now eject it.

The rude message has been deleted from newer versions of KickStart.

Get 1.2/33.166 or earlier.

---------------------------------------------------

Source: Joe Smith ([email-masked])

With an Amiga running AmigaDOS-1.2, hold down the left-shift + left-alt +

right-shift + right-alt and then press and release F1, then F2, etc.

This will display in the title bar the nicknames of the designers.

Here's a description from 2 years ago:

:Newsgroups: comp.sys.amiga

:Subject: Re: silly messages

:Message-ID: <[email-masked]>

:Date: 10 Apr 89 18:07:32 GMT

:

:In article <[email-masked]> [email-masked] (Kevin Goroway) writes:

:>Were those silly little messages in workbench taken out in v1.3 OS?

:>The ones I am refering to can be seen when one hits LS-LA-RS-RA-Fx

:>while looking at the wkbnch screen...

:>

:>just wondering...

:

:Coincidentally, I forgot to metion in my last posting on this subject that

:it is not just on the workbench screen -- workbench must be loaded, i.e.,

:somewhere the line loadwb had to have been executed before any of this

:happens.  Sadly, the messages are not still there, or if they are, they are

:brought up in some other way in V1.3.

:

:I retraced my steps so to speak, and have come up with the last 2 messages

:mentioned in that last post.  Both shifts, both Alt's, F10, pop out df0:

:disk for one message.  Then, WHILE STILL HOLDING ALL OF THAT (important!!),

:position the pointer in the screen drag bar (at the top), hold down the

:left mouse button (or simulate it by also catching the left A key next

:to left Alt) and reinsert the disk.

---------------------------------------------------

Source: Chris'n'Vickie of Chicago ([email-masked])

   Version 1.0 of the Amiga OS Workbench had credits for the hardware

and software team hidden tucked into some unused bytes. They were accessed

by holding down 6 keys and pressing a 7th. By holding down the same six

keys _and_ ejecting the internal floppy disk you could get:

    "We built the Amiga..."

   and when you pushed the floppy back in:

    "...and Commodore f**ked it up!"

[Following a query from Ye Editor of this FAQ list, the posting continues:]

   Well, it's been a long time since I did this and I probably have it

wrong, and I no longer have a copy of that version, etc., etc.

   But...I think that one held down both shift keys, both alt keys and

both "Amiga" keys, and pressed the function keys in order, to get the

ten credits. The delete key was held down and the disk was ejected to

get the first part of the last message, and pushed back in to get the

second part.

   This is fairly well known in the Amiga community, and the fun stopped

when the biggest Amiga magazine published this little gem. Unfortunetly

I had to get rid of all my old copies of "Amiga World" so I cannot check.

P.S. Yes, I typed this on an old Amiga 1000, but don't worry; I'm not

     dangerous.

---------------------------------------------------

Source: Peter da Silva ([email-masked])

[email-masked] (Chris'n'Vickie of Chicago) writes:

>    Version 1.0 of the Amiga OS Workbench had credits for the hardware

             ^^^--- 1.2

> and software team hidden tucked into some unused bytes.

---------------------------------------------------

Source: Raymond Chen ([email-masked])

        (Forwarding from [email-masked] (Phil Kernick) )

You have to be running KickStart 1.2 (33.166 I think, I can't remember if

they were all there in the 33.180 release).

Now, press the following all at the same time,

        Left-Shift Left-Alt Right-Alt Right-Shift

and then press one of the 10 functions keys (while still holding down

the above four) and you get one of 10 different messages in the menu

bar.

Now for the fun bit.

Do the above, and then while holding down all 5 keys, insert a disk in the

internal drive, and you get *another* message, and for the classic conclusion

after all this (still holding down all 5 keys?) eject the disk, and the

message:

        We made Amiga, they fucked it up

appears in the menu bar.

Now another Amiga hidden message (also in KS1.2).

Go into preferences, on the first screen, there are pictures of two mice,

one to set the double-click speed and one to set the mouse speed.  Click

on each of the buttons on the mice 5 time in the following order.

         1234 1234 1234 1234 1234

           /------\    /------\

           | 1  2 |    | 3  4 |

           |      |    |      |

           |      |    |      |

           +------+    +------+

Now select printer setup, scroll all the way up the list of possible

printers, and then all the way down.

Then the title bar of the preferences window changes to something like

(it been a *long* time since I tried this):

        Congratulations =RJ=

Appearantly just as the guys finished the preferences tool, RJ Michel, one

of the Amiga designers became a father (everybody say aaahh!).

---------------------------------------------------

Source: Jim Shaffer ([email-masked])

Dale Luck, formerly of the Amiga development team, tells a story about

hacking the system software when the custom chips were still on

breadboards.  To prevent blowing out the hardware, he put an anti-static

mat on the floor and convinced everyone to go barefoot.

They would also dance during late-night compiler runs to prevent falling

asleep.  One of the hidden messages in version 1.2 credits "Moral Support:

Joe Pillow and the Dancing Fools."

---------------------------------------------------

Source: Jim Shaffer ([email-masked])

Incidentally, I just re-checked my version of KickStart 1.2.  The "We made

the Amiga, they..." sequence is replaced by "The Amiga - Born a Champion,

Still a Champion."  I couldn't find anything at all in KickStart 1.3.

---------------------------------------------------

Source: Peter da Silva ([email-masked])

[email-masked] (Chris'n'Vickie of Chicago) writes:

>    But...I think that one held down both shift keys, both alt keys and

> both "Amiga" keys, and pressed the function keys in order, to get the

> ten credits. The delete key was held down and the disk was ejected to

                   ^^^^^^^^^^--- mouse button.

> get the first part of the last message, and pushed back in to get the

> second part.

It also only works with rev 1.2 of the OS. There was also another egg

hidden in the printer preferences. It was a lot less obvious. :->

---------------------------------------------------

Source: [email-masked]

In article <[email-masked]>, [email-masked]

           .stolaf.edu (The Laughing Prophet) writes:

> A quick search through KS2.04 reveals only two things that I noticed:

>

> 1] something like "what secret message?". (don't remember - I checked this

> a few months back.)

> 2] in hex, FE ED C0 ED BA BE. :)

>

  The hidden Amiga messages were on the Amiga 1000, and then only on earlier

units. One of the messages, accessed by holding down both "Amiga" keys and

two other keys WHILE inserting a disk into the floppy drive, was rather

explicit in its opinion of Commodore after they acquired the Amiga company.

Once word of that message got out, a purge was ordered of all hidden messages.

  BTW, the inside top cover of the Amiga is autographed by the machine

developers (and somebody's dog).

---------------------------------------------------

Source: Peter da Silva ([email-masked])

An undocumented feature of the Amiga 1.2 O/S. If you brought up the mouse

preferences and clicked all four mouse buttons in the picture, then clicked

an invisible gadget next to the date, the window title changed to a cute

message about the programmer's SO.

---------------------------------------------------

Source: Norman St. John Polevaulter ([email-masked])

While we're at it, the new OS2.04 has its own set of secret messages.

When workbench is running, hold down control, alt, and shift, and start

selecting items from the leftmost Workbench menu. It may take a few

tries to get them, but they're in there.

--------------------------------------------------

Product: Tandy ColorComputer III

--------------------------------------------------

Source: Jyri J. Virkki ([email-masked])

1) If you hold down <Alt>+<Control> and press the Reset button, you get

   a digitized image of the three guys who wrote the echancements to the ROM's.

   As an additional bonus, this trick served the purpose of performing a

   cold-boot of the computer, allowing you to break out of those annoying

   programs (mostly games) that required you to turn the machine off to

   get out of them.

2) In the built-in BASIC, you could specify CLS n (0<=n<=8) to clear the

   screen with various colors. If you specified numbers out of range, but

   <100, you would get an error message as expected, but the first time

   you did CLS n with n>=100, you would get a short message, again with

   the names of these individuals. Subsequent attempts would just give

   you the standard error message.

---------------------------------------------------

Product:  OS9 level I for the Tandy ColorComputer I, II, and III

---------------------------------------------------

Source: Richard Hempsey ([email-masked])

Hitting CTRL-A, the "repeat previous command line" key at the

command line _immediately_ after boot displays

        by K.Kaplan, L.Crane, R.Doggett

This also works for OS9 Level II for the Color Computer 3, at boot or

after the creation of any new immortal shell.

---------------------------------------------------

Product: Acorn Archimedes

---------------------------------------------------

From: Andrew Brooks ([email-masked]), who credits

      them to Julian Wright, [email-masked])

On RISC-OS 2.00:  SYS 68,59243844

On RISC-OS 3.00:  SYS 68,60816742

Additional info from Andrew Brooks <[email-masked]>

The above two SYS calls print a list of the names of the developers.

--------------------------------------------------

Source: Simon Burrows ([email-masked]),

  forwarded by Andrew Brooks ([email-masked])

Following much investigation, disassembly etc, here is a summary of the

RISC OS 3 Credits which work on my machines:

RISC OS 3.00

============

When the RISC OS 3.00 title screen is displayed, quickly type the letters

'r-m-t-m-d', and if you get the timing right, photographs of the RISC OS 3

Development team will be displayed on screen.

Go to the RISC OS 3.00 Info Window (from the switcher icon). Click on the

letters 'r-m-t-m-d' from the words 'Acorn Computers Ltd' using the MENU

button, and a long list of credits will be flashed up.

RISC OS 3.10

============

The photograph facility appears to have been removed.

To access the info window credits, click on the letters 't-e-a-m' from

'Acorn Computers Ltd' using the MENU button, and a (different) long list

of credits will be displayed. (If you click in the wrong places, the

machine *may* crash).

Source: Nicko van Someren ([email-masked]) 

   (also forwarded by Andrew Brooks)

Subject: RISC OS 3.10 Secret message

The other day I was looking through the template files stored in ResourceFS

in the RISC OS 3.10 ROM.  In the template file for the switcher there is

a dialogue box called power.  It appears to contain a secret message left

by the RISC OS team.  Take a look :-)

---------------------------------------------------

Product: NeXT systems and software

---------------------------------------------------

Source: [email-masked], also Timothy Buck ([email-masked])

In Improv (version 1.0) for NeXTstep from Lotus, go to the Info Panel,

and in the space to the left of the Improv title, hold down shift,

alternate, and command, and click the mouse.  A "little man" with big

bug-eyes shows up....

To clear it, you quit Improv.

---------------------------------------------------

Product: None Of The Above (TM)

---------------------------------------------------

Source: "Peter the Bugman" ([email-masked])

Various Maxis simulation games:

For SimCity: On any platform, hold down the shift key and type in "fund". 

This gives you an instant 10,000$, but if you do it too often, you will get

earthquakes, regardless of how the disaster settings are set.

=-=-=-=

For SimEarth: On any platfiorm, hold down the shift key and type in joke,

then open the Gaia window.

=-=-=-=

For SimAnt:  type in any of the following:

oops 

rand

erad

FUND

joke 

HOLE 

hole

jeff

will

These all do various things that are easily recognizable.  

=-=-=-=

For A-Train: hold down the control and alt keys, then type in "bellybutton".  

Once the game is ended, watch very carefully. The ending screen shot is 

not the same.  (Our programmers have a bizzarre sense of humour.)

That is a picture of their, well, er ...uh....  bellybuttons.

------------------------------

Source: Steven R. Staton ([email-masked])

MVP rasterizer cards from Matrix Instruments/AFGA/Miles:

On the {Matrix Instruments|AGFA Matrix|Miles Division Matrix} MVP and  

MVP*Star rasterizer boards for the IBM-pc (used to drive the QCR, PCR,  

Forte, and other film recorders) there is a cookie in the foreground mode  

of the MVP software.  Enter foreground mode and press ALT-<2><5><5> (send  

the ASCII character 255 via the keypad).  The cookie (which is different  

in MVP 3.5, 4.0, 4.1[grrr...] and 4.2) appears in the STATUS box where  

normally there is hexadecimal numbers.

I don't remember the exact wording, but under MVP 3.5 it says  

something like "despite rancid source code, inept management, and  

poor tools, we proudly present MVP 3.5 with EGA and 24-bit overlays--  

D Miller S Staton."

[The text is different in later releases of the program.]

------------------------------

Source: Dean Inada ([email-masked])

Mattel Intellevision games:

Transcribed verbatim off an old photocopy,

we called them "Copyright Kludges" back then.

The date style marks this compilation as the work of

Chris Hawley

[Notation: hold down indicated keys during powerup.]

                Kluge file for Games- Updated 8107.13

ROULETTE:               left = 13       right = 123

SKIING:                 left = 57       right = 57

WORD FUN:               press  43210 during word rockets mode

ARMOR BATTLE:           left = 3        right = 9

HORSE RACING:           left = 69       right = 69

BOXING:                 left = lower two action keys and wheel direction 7

SPACE ARMADA:           left = 46    OR    clear-enter

                          right = lower two action keys

AUTO RACE:              pres  169 on any keypad to get real steering

STAR STRIKE:            left = 19    OR    37

FRENCH CASSETTE:        left = 19       right = 80

                          during introduction (menu #0); then exit to

                          monitor (menu #6)

DEMO CASSETTE:          type "dei" (lower case) during space battle

-------------------------------

Source: John Hawkinson ([email-masked])

On a RSTS/E system, type:

$ HELP SPIKE

$ HELP ADVANCED SPIKE

Of course, these don't show up in the HELP topics listing...

They give info on Spike, the RSTS/E mascot (a bulldog, if

I'm not mistaken).

-------------------------------

Source: Zebee Johnstone ([email-masked])

The Data General AOS/VS 16 bit OS responds to XYZZY with "nothing happens".

The new 32 bit AOS/VS II responds with "twice as much happens"

-------------------------------

Source: Tim Shoppa ([email-masked])

   Typing "SHOW USERS" at the RT11 prompt (a single-user system) gives

   a response of "NOBODY BUT YOU!".

-------------------------------

Source: Denis Fortin ([email-masked])

Also in RT-11:

    Typing HELP FOO

    produced NO HELP IS AVAILABLE FOR FOO

    But typing HELP ME

    produced NO HELP IS AVAILABLE FOR YOU

-------------------------------

Source: Joe Newcomer and many others:

under TECO, originally under TOPS-10 and subsequently ported to other

platforms (including this Easter egg):

Type the command:

    MAKE LOVE

which is supposed to create a new file named LOVE using TECO.  The

command executes as intended, but only after responding with a message:

    Not war?

-------------------------------

Source: Barry Ferris ([email-masked])

of course, this wasn't the only TECO egg...type in:

         $ make  war

to get

          not love?

-------------------------------

Source: Earle Ake ([email-masked])

  VMS Easter Eggs:

$ anal/system

VAX/VMS System analyzer

SDA> show cluster/scs

VAXcluster data structures

--------------------------

         --- SCS Listening Process Directory ---

Entry Address     Connection ID     Process Name    Information

-------------     -------------     ------------    -----------

  80308800          071D0000        SCS$DIRECTORY   What city, plez?

  803087A0          071D0001        MSCP$TAPE       NOT PRESENT HERE

  80308740          071D0002        MSCP$DISK       NOT PRESENT HERE

----------------------------

Source: [email-masked]

 The following exists on every VMS I have ever seen:

 % mcr sysgen

 SYSGEN>  SHOW TIMEPROMPTWAIT

 Parameter Name            Current    Default     Min.     Max.     Unit  Dyna

 --------------            -------    -------    -------  -------   ----  ----

 TIMEPROMPTWAIT              65535         -1         0        -1 uFortnight

 Also, I no longer have access to a VMS DBMS, but I recall that typing

 HELP WOMBAT inside the DBMS would give about three pages of interesting

 facts about Wombats, and that PLOT WOMBAT would draw a wombat on your

 terminal.

-------------------------------

 =-=-=-=-=-=-=-=-=

---------------------------------------------------

Product: Hewlett-Packard products

---------------------------------------------------

Source: Chris'n'Vickie of Chicago ([email-masked])

In a prior article Norman Soley writes:

>In a prior article Steve VanDevender writes...

>>The weirdest thing I found in my HP 150 is that the phrase "My

>>mind is going..." is burned in one of the ROMs.  I have no idea

>>why it's there or if it would ever appear on the screen.  My pet

>>theory is that it's a diagnostic that appears if some of the ROMs

>>are missing (a la the HAL dismantling scene in 2001).

>More likely someone noticed there were a few unused bytes at the end of the

>ROM and slid that in as a joke. There is the well know story of the "resist

>the draft" message that's stored in some user inaccesable (usually) part of

>someone's LOGO and one or more of the VAX chips has "VAX, for those who care

>enough to steal the best" in Russian on an unused part of the mask....

>In all cases the companies involved claimed no knowledge of these when

>discovered.

---------------------------------------------------

Source: Mik Butler ([email-masked])

>If I remember correctly there was an easter egg in the 150 that would

>cause it to respond to XYZZY in the right circumstances.

>The 'My mind is going' may well have been the response.

>

>Rodney Brown,  Co-Cam Computer Group,  ACSNet: [email-masked]

To get an HP150 (or HP2625/HP2628 terminal) to produce the "my mind

is going..." message, send or type the sequence <esc>&a?

---------------------------------------------------

Source: Steve VanDevender ([email-masked])

   In article <[email-masked]> [email-masked] (Mik

   Butler) writes:

   >

   > To get an HP150 (or HP2625/HP2628 terminal) to produce the "my mind

   > is going..." message, send or type the sequence <esc>&a?

Thank you thank you thank you.  I discovered the "My mind is

going..." message when I was in larval stage not long after I got

my 150 and wrote a memory scanner.  Only now, almost eight years

later, do I know how to get the message.  It indeed works on my

HP 150 with Rev B roms.

============================================================

The following is a massive summary of Macintosh Easter Eggs compiled

by Bryan Kendig of Princeton, and forwarded to me by Kees Huyser.

Please send any comments or updates to this FAQ list directly to

Bryan at [email-masked].

----------------------------------------------------------------

                   The Macintosh Secret Trick List

      compiled by Brian Kendig ([email-masked])

                           Fifth revision.

Please report corrections to me, no matter how insignificant!

You may (of course!) distribute information about these tricks freely,

but please keep my name on this list if you pass it around whole.

New info about tricks will be attributed and very much appreciated.

The information below includes what to do to make a trick happen, then

what the trick really is.  If you don't want the trick spoiled (you

don't want to know what it does until you try it yourself), you can

display only the instructions for making it happen (the lines that

begin with an equals-sign) with the Unix command

        grep '^=' tricks

where "tricks" is the name of this file.

Here's a not-a-trick that every Tom, Dick, and Harriet out there has

been reporting to me: Press Command-Option-Escape to kill the process

currently in the foreground.  This is useful if your machine is taking

way too long to finish something and is ignoring you, or if your

machine has crashed -- sometimes you can use this trick to regain

control of your machine long enough to save your work and restart your

Mac.  (After you use this trick, you should generally restart as soon

as possible.)

A lot of people have been telling me about this, but it's not a trick!

It's a documented feature of System 7.  However, since lots of people

never saw it in the manuals, I might as well have it here too.

= -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

=

=                              Hardware

=

= Macintosh Plus

= From the debugger, enter "G 40E118".

=

  This gives you a "Stolen from Apple Computer" message.

= Macintosh SE

= Hit the interrupt switch (the button with the broken circle on it, on

= the left side of your machine closer to the back) to go into the

= built-in debugger, and enter "G 41D89A".

=

  Four bitmap pictures of the Macintosh development team appear as a

  slideshow.  Reboot (hit the button closer to the front, with the

  triangle on it) to get out of the endless cycle.

= Macintosh Classic

= Hold down Command-Option-x-o right after you turn on or reboot the

= machine.

=

  The Classic starts up from a minimal ROM-disk which contains

  System 6.0.3, Finder 6.1x, and AppleShare.  (This version of the

  System is not recommended to run the Classic under.)  If you look at

  the ROM-disk with a program able to see invisible files (like ResEdit

  or MacTools), you'll find folders hidden there bearing the names of

  the Classic designers.

= Macintosh IIci

= Set the system date to 9/20/89 (the release date of the IIci), and set

= your monitor to 8-bit color.  Restart while holding Command-Option-c-i.

=

  You'll see a color picture of the IIci design team.  Click the mouse

  to continue.

= Macintosh IIfx

= Set the system date to 3/19/90 (the release date of the IIfx), and

= restart while holding down Command-Option-f-x.

=

  You'll see a color picture of the IIfx design team.  Click the mouse

  to continue.

= -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

=

=                               System

=                 ("7.0" means "7.0.0" or "7.0.1".)

=

= Multifinder 1.0 (distributed with System Software prior to 6.0)

= Hold down Command and Option while selecting "About Multifinder"

= from the bottom of the Apple menu.

=

  A scrolling list of credits appears.

  (Contributed by Seth Theriault)

= Multifinder 6.0

= Search the STR# resources with ResEdit.

=

  One STR# resource contains three strings:

    "I want my"

    "I want my"

    "I want my l--k and f--l"

  (Anybody know how to get this message to come up without having to

   snoop around in ResEdit?)

  (Contributed by Tony Cooper)

= System 6.0.7 or 7.0

= Take a look through the data fork of the System File (with MacSnoop

= or MacTools, or open it with MS Word).  (It's short.)

=

  The string "Help! Help! We're being held prisoner in a system

  software factory!" is at the end of the data fork.

  (Contributed by Kevin Bolduan)

= System 6.0.7J (Kanjitalk)

= Set the clock to January 1, 1992, and restart.

=

  The startup screen says "Happy new year" in Japanese.

  (Contributed by Junio Hamano)

= Finder 7.0

= Hold down Option while choosing "About This Macintosh".

=

  (The menu option changes to "About the Finder".)  The original picture

  of the mountains from System 1.0 appears.  If the creation date of the

  invisible "Desktop Folder" is May 13, 1991, or later, the names of all

  the Finder developers through Mac and Lisa history also scroll by.

  Hold down Command-Option while choosing "About" to get a goofy-face

  cursor.

= Caches 7.0.1

= Option-click on the version number in the upper right-hand corner.

=

  The "040" icon will whoosh over, revealing the name of the programmer.

= Caps Lock 7.0.1 (on a PowerBook)

= Turn on balloon help, press Caps Lock, and point to the up-arrow icon

= in the menu bar.

=

  The balloon help reads: "This file allows your Macintosh TIM or

  Derringer to display an icon..."  (These were the working names of the

  PowerBooks; Apple forgot to change the extension before System 7.0.1

  was released!)

= Color Control Panel 7.0

= Option-click on the Sample Text a few times.

=

  The strings "by Dean Yu" "& Vincent Lo" alternate.

= Labels Control Panel 7.0

= Delete all the label names in the Labels control panel, and reboot.

=

  The labels are now "None," "a", "l", "a", "n", "j", "e", "f".

= Map Control Panel 1.x (released with System 6) and 7.0

= Type MID as the city name, and click Find.  Also try: clicking on the

= version number, option-clicking on Find, opening the control panel

= while you hold down shift and/or option, clicking somewhere in the Map

= and dragging off the edge of it, or copying the map from the Scrapbook

= and pasting it while the Map control panel is open.

=

  The stored point MID is actually "Middle of Nowhere", an insignificant

    location in the middle of the South Atlantic.  (This one was added

    in version 7.0.)

  Clicking on the "7.0" puts "v7.0, by Mark Davis" into the city name

    field until you release the mouse button.

  Option-clicking on Find repeatedly will take you alphabetically to

      every city the Map knows.

  Opening the control panel while you hold down the shift key will

    display a magnified map (the resolution is the same, so it's very jagged).

    Opening it with option held down magnifies it more, and shift-option

    magnifies it even more to the point of being really blocky.

  Dragging off the edge of the map will scroll around the world.

  You can paste a new picture into the control panel; the Scrapbook that

    comes with System 7 includes a particularly good color map.

  (Contributed by Takeshi Miyazaki and Doc O'Leary)

= Memory Control Panel 7.0 (on a machine capable of virtual memory)

= Turn on virtual memory and hold down Option while clicking on the

= pop-up menu used to choose a hard drive for your swapfile.

=

  This brings up a hierarchical pop-up menu with the names of the

  programmers; each name points to a submenu with a few comments.

  (Contributed by Povl Hessellund Pedersen)

= Monitors Control Panel 7.0

= Click the version number (7.0) in the control panel window.  While you

= hold down the mouse button, tap Option several times.

=

  When you click, a box pops up with the names of the people who wrote

  Monitors.  Pressing Option makes the smiley face stick out its tongue.

  After tapping Option several times, the names begin to get rearranged

  and some first and last names get replaced with "Blue" or "Meanies".

= Puzzle Desk Accessory 7.0

= You can copy the picture of two linked squares from the Scrapbook

= and paste it into the Puzzle.

=

  In fact, you can paste any picture into the Puzzle, and it will be

  sized to fit.  You can also copy the picture from the Puzzle and

  look at the clipboard to see what it will look like solved.

  (Contributed by Povl H. Pedersen)

= Finder 7.0 and MacsBug

= Turn on Balloon Help and point to the MacsBug file.

=

  The balloon reads: "This file provides programmers with information

  proving that it really was a hardware problem..."

= -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

=

=                           Other Software

=

= Adobe Photoshop

= Hold down the Option key and select "About Photoshop".

=

  A dialog crediting "Knoll Software" as the original designers appears.

  (Contributed by Karl-Koenig Koenigsson)

= Claris CAD

= Hold down the Option key and select "About Claris CAD".

=

  A system configuration summary appears.

  (Contributed by Karl-Koenig Koenigsson)

= Disinfectant

= Select "About Disinfectant."

=

  A bitmap photo of John Norstad appears in one half of the dialog,

  while in the other half an animated sequence of virus names march out

  while the Monty Python theme song plays, until they get stomped by

  a huge foot.

  (Contributed by Dave Claytor)

= FlashWrite II

= Hold down Option as you select "About FlashWrite II" under the "star" logo.

=

  A Mr. Mojo Risin' quotation appears.

  (Contributed by Dave Claytor)

= HyperCard 2.x

= Hold down Option as you select "About Hypercard...".

=

  You get (in 2.1 only) a dialog describing your system setup, and (in

  either 2.0 or 2.1) the chooser name, if you've entered one, appears

  in the "HyperCard by" title.  (That is, if you entered "Joe Cool" as

  your name in the Chooser (6.0) or Sharing Setup (7.0), the top of the

  window will read "HyperCard by Joe Cool".

  Also, on a Quadra, you will be told your system is a "Macintosh Macintosh".

  (Thanks to Seth Theriault for more info.)

= Installer 3.x (this only seems to work under System 6, or am I wrong?)

= After dismissing the initial welcome dialog, type "ski".

=

  A humorous list of the developers will appear, and you will be able

  to choose from five wait-cursors: the hand with the moving fingers

  (standard), a spinning globe, the familiar spinning disc, the even

  more familiar wristwatch, and dots that move.

  (Contributed by John DeRosa)

= Jam Session

= Choose "About Jam Session".

=

  The credits are displayed on the label of a record, and you can hear

  it click (as an old record does after it's played to the end).  When

  you click the mouse to dismiss the dialog, you hear the scratching

  noise of the needle being lifted off the record.

  (Contributed by Joe Campbell)

= KiwiEnvelopes! 3.1

= Choose "About KiwiEnvelopes!".

=

  A letter is deposited into a mail truck which then rolls off the screen.

  After it leaves, a marquee shows the names of the development team.

  (Contributed by Dave Claytor)

= MacDraw Pro

= Hold down Option while selecting "About MacDraw Pro".

=

  The dialog shows your system setup.

  (Contributed by Dave Claytor)

= MacPaint 2.0 (only the first few copies, before Claris caught it)

= Hold down Tab and Space while choosing "About MacPaint".

=

  A bitmap of a well-known painting of a nude zebra-striped woman atop a

  white zebra appears.

= Microsoft Excel 3.0

= Open a new spreadsheet, then go to cell IV16384.  (Press Cmd-Right

=   then Cmd-Down to jump there.)  Use the scroll bars to scroll down and

=   right more until only that cell is showing, then set that cell's width

=   and height both to 0.  All that will remain in your window will be the

=   little square in the upper-left-hand corner that you normally click on

=   to select the entire spreadsheet; click on it.

  The contents of the window will be replaced by a little Lotus-stomping

  then a list of Excel's programmers and beta-testers.  When your normal

  Excel window comes back, scroll away to keep the show from repeating.

  (Contributed by Evan Torrie)

= Here's another: set the style of any cell to "excel" (by selecting

=   "Format Styles..." and typing "excel" without the quotes).  Then choose

=   "About Excel..." from the Apple menu and click on the big Excel icon.

=

  A brief animation ("So good, it hurts.") alternates with the names of

  the developers ("Recalc or Die!").

  (Contributed by Rob Griffiths)

= Microsoft Word 3.01 and 4.x

= Spellcheck the word "childcare".

=

  The spell-checker will suggest one word: "kidnaper" (sic).

  (Contributed by Adam Shostack)

= Microsoft Word 4.0

= Select "About Microsoft Word" and command-click on the Word icon.

=

  The resulting dialog gives the names of beta-testers.

= Norton Utilities 1.1

= Command-click the little rhomboid just in front of the string

= "Version 1.1" in the About box.

=

  A list of the developers appears.

  (Contributed by Karl-Koenig Koenigsson)

= QuicKeys 2

= Open the macro definition window, and click on the logo to bring

= up a credits window.  Wait for about half a minute.

=

  A bunny walks across the window beating a drum.  After it crosses,

  the message "QuicKeys keeps on going!" is displayed.

  (Contributed by Kenny Wong)

= ResEdit 2.1

= Turn on Balloon Help and point to the ResEdit file.

=

  The balloon reads: "... Apple recommends that you use ResEdit only

  on expendable copies of your files."

  (Contributed by Takeshi Miyazaki.)

= ResEdit 2.x

= Hold down Shift, Option, and Command as you choose "About ResEdit."

=

  You get the chance to enter "pig mode" (oink oink oink).

  When you put ResEdit into pig mode, resources will be compacted and

  purged each time ResEdit goes through its event loop (several times a

  second).  (However, since this makes ResEdit slower, it's not of much

  use outside Apple.)

  (Contributed by Ian Neath.

  (Info about "pig mode" from Chris Webster and Russell Street.)

  Mr. Street adds that if you turn on pig mode while running ResEdit

  from a floppy disk the disk will "oink" a few times each second (most

  easily heard on an old Plus in a quiet room), but when I tried this

  my machine crashed.  ;)

= Simple Player (for QuickTime) 1.0

= Hold down Option as you select "About Simple Player..."

=

  The two movie frames now have greyscaled cats in them.

  (Contributed by Scott Ryder)

= SoundEdit

= Choose "About SoundEdit".

=

  A burning fuse bomb "system error" blows up.

= Speed Disk (from Norton Utilities 1.1)

= Command-click the little rhomboid just in front of the string

= "Version 1.1".

=

  The large letters that make up the name "SPEED DISK" swap themselves

  pair-by-pair until the name eventually unjumbles itself again.

  (Contributed by Andy Calder)

= WriteNow 2.2

= Select "About WriteNow", then option-click on the About dialog.

=

  Little men run out and change all the letters one-by-one.

= -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

=

= And now, for something completely different!

= Masatsugu Nagata has reported a really nifty trick to me that I

= don't have the resources to confirm, but I'd be muchly appreciative

= of any hacker with time on his hands who'd like to pin this one down.

=

= The ingredients:

=   One Macintosh SE/30

=   System 7.0 or 7.0.1

=   Kerry Clendinning's "Easy Keys 1.5" Control Panel

=   QUED/M 2.09 (The text editor from Paragon; little brother of NISUS)

=

= Assign some key combinations in Easy Keys Control Panel.

= Launch QUED/M, and press the key combination.

= Then, an "address error" bomb alert comes up, but you can click on

= "Continue" to keep going -- go ahead and click "Continue".

=

= Everything is normal again until you quit QUED/M, at which time

= the screen blanks to all white except for the figure of a Mac and

= a "Mac SE/30 Engineering Hall of Fame" list.

= The only way out is to press the reset button.

=

= Perhaps the address error hit the address for the "Hall of Fame"

= accidentally.  Hence my request: can anyone pinpoint what this

= address is to run the credits?

=

--

* * *  End of File  * * *

.